<h1>This is lecture 1</h1>
<p>Date is 15 Dec,2022</p>

<h3>Concepts</h3>

<ol>
    <li class="text-primary">Ng If *ngIf="condition" <span class="text-dark"> eg. *ngIf="clicked_lecture==1"</span> </li>
    <li class="text-primary">Ng For *ngFor="let x of Array"  eg. *ngFor="let x of ['Rudra','Aditya','Kunal'] <span class="text-dark" *ngFor="let x of ['Rudra','Aditya','Kunal']">   {{x}} </span> </li>
</ol>




<h3>Examples of ngIf</h3>

<h5>Problems</h5>

<div class="btn-group my-2" role="group" aria-label="Basic outlined example">
    <button type="button" routerLink="/lecture-1" [queryParams]="{problem:1,color:'red'}" class="btn btn-outline-primary" (click)="clicked_problem=1">Problem 1</button>
    <button type="button" routerLink="/lecture-1" [queryParams]="{problem:2,color:'blue'}" class="btn btn-outline-primary" (click)="clicked_problem=2">Problem 2</button>
    <!-- <button type="button" class="btn btn-outline-primary" (click)="clicked_problem=3">Problem 3</button> -->
</div>

{{clicked_problem}}
<!-- <router-outlet></router-outlet> -->
<app-lecture1problem1 *ngIf="clicked_problem==1" > </app-lecture1problem1>
<app-lecture1problem2 *ngIf="clicked_problem==2"></app-lecture1problem2>